LookupParent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.lookup.client
Interface LookupParent

All Known Implementing Classes:
  CodLookupCellEditor, CodLookupControl

public interface LookupParent

Title: OpenSwing Framework

Description: Interface implemented by grid model and form model to listen a "parent v.o. update" event.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`java.lang.Object` | `getLookupCodeParentValue()`
`ValueObject` | `getValueObject()`
`void` | `setValue(java.lang.String attributeName, java.lang.Object value)` Method called by LookupController to update parent v.o.

Method Detail

### setValue

    public void setValue(java.lang.String attributeName,
                         java.lang.Object value)

  Method called by LookupController to update parent v.o.

  Parameters:
    `attributeName` - attribute name in the parent v.o. that must be updated
    `value` - updated value

### getValueObject

    public ValueObject getValueObject()

  Returns:
    parent value object

### getLookupCodeParentValue

    public java.lang.Object getLookupCodeParentValue()

  Returns:
    value in the parent value object related to lookup code

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD